<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-packagekit" xml:lang="ca">

  <info>
    <link type="guide" xref="tech" group="packagekit"/>

    <credit type="author copyright">
      <name>Shaun McCance</name>
      <email its:translate="no">shaunm@gnome.org</email>
      <years>2011–2012</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Software installation and management</desc>
  </info>

<title>PackageKit</title>

  <p>
    PackageKit lets applications query whether other packages are installed,
    regardless of the GNU/Linux distribution in which they are running.  If
    your application needs an extra package to be installed at runtime, it can
    ask PackageKit to download and install it.  For example, a multimedia
    application may need to download a codec, or an illustration program may
    need to download fonts as needed.
  </p>

  <p>
    Various GNOME applications use PackageKit in similar situations.  Totem,
    the media player, uses PackageKit to request installation of codecs when it
    tries to play a media file that it does not recognize.
    System-config-printer, a program to configure printers when they are
    plugged in, uses PackageKit to download and install printer drivers as needed.
  </p>

  <list style="compact">
    <item><p><link href="http://www.packagekit.org/">PackageKit home page</link></p></item>
  </list>

</page>
